#include "ElementProxyHeaders.hpp"

//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
//
void
	ElementProxies::InitializeClasses()
{
	Verify(FirstFreeElementProxyClassID <= LastElementProxyClassID);

	ElementSceneProxy::InitializeClass();
	ElementGroupProxy::InitializeClass();
	ElementListProxy::InitializeClass();
	ElementPolygonMeshProxy::InitializeClass();
	MLRVertexProxy::InitializeClass();
	MLRPolygonProxy::InitializeClass();
	MLRIndexProxy::InitializeClass();
	MLRTextureProxy::InitializeClass();
	MLRTexturePoolProxy::InitializeClass();
	MLRStateProxy::InitializeClass();
	MLRStatePoolProxy::InitializeClass();
}

//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
//
void
	ElementProxies::TerminateClasses()
{
	MLRStatePoolProxy::TerminateClass();
	MLRStateProxy::TerminateClass();
	MLRTexturePoolProxy::TerminateClass();
	MLRTextureProxy::TerminateClass();
	MLRIndexProxy::TerminateClass();
	MLRPolygonProxy::TerminateClass();
	MLRVertexProxy::TerminateClass();
	ElementPolygonMeshProxy::TerminateClass();
	ElementListProxy::TerminateClass();
	ElementGroupProxy::TerminateClass();
	ElementSceneProxy::TerminateClass();
}
